Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 65642 - boot with the floopie with the mem= argument
boot with the floopie with the mem= argument
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-29 08:30 EDT by Need Real Name
Modified: 2007-04-18 12:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-27 18:23:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-05-29 08:30:43 EDT
Description of Problem:

I try to install a RedHat7.3 on compaq proliant 5000
I boot with the boot img on a floppy.
With the standard install I ve got the "Not Enough Memory to install" message
So I try to boot with
linux mem=256M 

I ve got the error:

EXT2-fs: unable to read superblock 
cramfs: wrong magic 
FAT: unable to read boot sector 
isofs_read_super: bread failed, dev=09:00, iso_blknum=16, block=12 
Kernel panic: VFS: Unable to mount root fs on 09:00 

When I try this boot with the RH 7.2 , it's OK
It s only with the RH7.3, I have try on another computer and I ve got the same 
problem each time I use the option mem=...


Version-Release number of selected component (if applicable):


How Reproducible:

Everytime


Steps to Reproduce:
1.  boot with linux mem=..
2. 
3. 

Actual Results:
EXT2-fs: unable to read superblock 
cramfs: wrong magic 
FAT: unable to read boot sector 
isofs_read_super: bread failed, dev=09:00, iso_blknum=16, block=12 
Kernel panic: VFS: Unable to mount root fs on 09:00 


Expected Results:
booting

Additional Information:
Comment 1 Michael Fulbright 2002-05-29 12:45:35 EDT
Have you tried using a different floppy - they go bad sometimes.
Comment 2 Need Real Name 2002-05-30 09:08:10 EDT
I have try with many floppies. 
and also with the bootnet.img.
Note when the error arrived, the shiftlock and numlock leds are blinking.
Comment 3 Michael Fulbright 2002-06-06 12:42:21 EDT
How much RAM is in the computer?
Comment 4 Jim Prior 2002-06-06 16:58:01 EDT
The symptoms are similar those of bug #64530.  

Does reduing the mem= boot parameters 
(for example mem=240M instead of mem=256M) or 
disabling power management in BIOS change the behaviour?  

Comment 5 Need Real Name 2002-06-07 07:56:58 EDT
The system report 262144KB

I have try with mem=240M  but it s the same

With this (as see in the #bug64530 )

mem=exactmap mem=640K@0 mem=119M@1M

I have succefully start the installation (but why ?)
Comment 6 Jeremy Katz 2002-06-21 17:32:57 EDT
The probing of the memory on this machine isn't correct, so you have to pass the
correct map.
Comment 7 Alan Cox 2003-06-27 18:23:35 EDT
BIOS issue

Note You need to log in before you can comment on or make changes to this bug.